Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema.utils
Class XDOMUtil

    java.lang.Object
      org.apache.ws.commons.schema.utils.DOMUtil
          org.apache.ws.commons.schema.utils.XDOMUtil

    public class XDOMUtil

extends DOMUtil

Method Summary
`static boolean` | `anyElementsWithNameNS(org.w3c.dom.Element element, java.lang.String uri, java.lang.String name)`
`static org.w3c.dom.Element` | `getFirstChildElementNS(org.w3c.dom.Node parent, java.lang.String uri)`
`static org.w3c.dom.Element` | `getNextSiblingElementNS(org.w3c.dom.Node node, java.lang.String uri)`

Methods inherited from class org.apache.ws.commons.schema.utils.DOMUtil
`getAttr, getAttrNS, getAttrs, getAttrValue, getAttrValueNS, getChildText, getDocument, getFirstChildElement, getFirstChildElement, getFirstChildElement, getFirstChildElement, getFirstChildElementNS, getFirstChildElementNS, getInputEncoding, getLastChildElement, getLastChildElement, getLastChildElement, getLastChildElement, getLastChildElementNS, getLastChildElementNS, getLocalName, getName, getNamespaceURI, getNextSiblingElement, getNextSiblingElement, getNextSiblingElement, getNextSiblingElement, getNextSiblingElementNS, getNextSiblingElementNS, getParent, getRoot, getValue, getXmlEncoding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFirstChildElementNS

    public static org.w3c.dom.Element getFirstChildElementNS(org.w3c.dom.Node parent,
                                                             java.lang.String uri)

### getNextSiblingElementNS

    public static org.w3c.dom.Element getNextSiblingElementNS(org.w3c.dom.Node node,
                                                              java.lang.String uri)

### anyElementsWithNameNS

    public static boolean anyElementsWithNameNS(org.w3c.dom.Element element,
                                                java.lang.String uri,
                                                java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.